/*=============== Estilos de efecto Parallax y todo lo del diseño  ===============*/

:root {
    --header-height: 3.5rem;
    /*========== Colors ==========*/
    /*Color mode HSL(hue, saturation, lightness)*/
    --first-color: hsl(220, 68%, 54%);
    --first-color-lighten: hsl(220, 68%, 97%);
    --title-color: hsl(220, 48%, 28%);
    --text-color: hsl(220, 12%, 45%);
    --grey-tex-color: hsl(0, 0%, 64%);
    --body-color: hsl(220, 100%, 99%);
    --color: #ffffff;
    /*========== Font and typography ==========*/
    /*.5rem = 8px | 1rem = 16px ...*/
    --body-font: "Poppins", sans-serif;
    --normal-font-size: .938rem;
    --small-font-size: .813rem;
    --smaller-font-size: .75rem;
    /*========== Font weight ==========*/
    --font-medium: 500;
    --font-semi-bold: 600;
    /*========== z index ==========*/
    --z-tooltip: 10;
    --z-fixed: 100;
  }

  .contenedor-gral {
      max-width: 1200px;
      margin: auto;
      margin-top: 0;
    }

    .contenedor-pagina {
      position: relative;
      height: max-content;
      padding: 0;
      /* overflow: hidden; */
      justify-items: center;  /* Se utiliza cuand hay problemas de alineación */
    }

    .contenedor-pagina ol {
      width: 90%;
    }

    .contenedor2 {
        position: relative;
        height: 50vh;
        overflow: hidden;
        justify-items: center;  /* Se utiliza cuand hay problemas de alineación */
      }

    .parallax {
      position: absolute;
      width:120%;
      background-image: url(/img/paginas/Galeria.png);
      background-size: contain;
      background-repeat: no-repeat;
      height: 80vh;
      z-index: -2;
    }

    .titulo {
      position: relative;
      color: white;
      font-size: 3em;
      text-shadow: 3px 3px 2px #272727;
      text-align: center;
      max-width: 600px;
      margin-top: 30px;
    }

    .cont-leyenda {
      justify-items: center;  /* Se utiliza cuand hay
                                 problemas de alineación */
    }

    .leyenda {
      color: rgb(209, 219, 223);
      font-size: 1.2em;
      text-shadow: 1px 1px #272727;
      text-align: center;
      max-width: 500px;
      margin-top: 10px;
    }

    .sencamer {
      position: absolute;
      margin-top: -230px;
      margin-left: 50px;
      z-index: -1;
    }

    /* aplicará estilos solo si el ancho
       del viewport de su navegador es igual
       o menor que 500px: */
    @media (max-width: 500px) {
      .contenedor2 {
        height: 30vh;
      }
      .parallax {
        width:100%;
        background-size:cover;
        height: 30vh;
      }
      .titulo {
        font-size: 2.5em;
      }

      .sencamer {
        margin-top: 30px;
        margin-left: 35px;
      }
    }

    /*=============== Final Estilos de efecto Parallax en Cabecera  ===============*/

    /*=============== Estilos de maqueta de colores  ===============*/
  
  .cont-wrap {
     width: 100%;
     display: flex;
     flex-wrap: wrap;
  }

  .segu {
    width: 100%;
    height: 100px;
    background-color: rgb(209, 209, 209);
    display: flex;
  }

  .cuerpo-ppal {
     /* background: rgb(255, 72, 0); */
     height: max-content;
     width: 70%;
     padding: 0;
  }

  .cuerpo-ppal .card {
     width: 15rem !important;
  }

  .barra-lateral {
     /* background: rgb(255, 115, 0); */
     height: fit-content;
     width: 30%;
     display: -webkit-flex;
     display: -ms-flexbox;
     display: flex;
     justify-content: center;
     flex-wrap: wrap;
     flex-direction: row;
     gap: 2%;
     padding-top: 3%;
     padding-bottom: 2%;
  }

  .tres {
     display: flex;
     flex-wrap: wrap;
     /* background: rgb(251, 255, 0); */
     height: fit-content;
     justify-content: center;
     gap: 3%;
     width: 100%;
     padding-top: 2%;
     padding-bottom: 2%;
  }

  .card {
     width: 20rem !important;
  }

  .ficha1 {
     background: rgb(218, 218, 218);
     width: 15rem;
     height: 150px;
     margin-top: 3%;
  }

  .ficha2 {
    background: rgb(218, 218, 218);
     width: 15rem;
     height: 150px;
     margin-top: 3%
  }

  .ficha3 {
    background: rgb(218, 218, 218);
     width: 15rem;
     height: 150px;
     margin-top: 3%
  }

  @media (max-width: 500px) {
    .cont-wrap {
      display: block;
    }
   .cuerpo-ppal {
      width: 100%;
      padding: 3%;
    }

    .cuerpo-ppal .card {
      width: 22rem !important;
    }
    .barra-lateral{
      justify-content: center;
      width: 100%;
    }

    .ficha1, .ficha2, .ficha3  {
      width: 25rem;
    }

    .card {
      width: 22rem !important;
    }


  }

  /*=============== final de Estilos de maqueta de colores  ===============*/

  /* =============== Menu de la estructura de la hoja =================== */

  .menu-struc{
    margin: 2% 0;
  }

  .menu-struc a{
    color: var(--grey-tex-color);
  }
  .menu-items {
    display: inline-flex;

  }

  .menu2::before {
    content: ">";
    margin: 3px;
  }

  .menu1:hover, .menu2:hover{
    color: var(--text-color)
  }

  /* ============ final Menu de la estructura de la hoja ================== */

  .p-normal {
    /* Parrafo Normal  */
    margin: 25px 0;
    font-size: 0.9em;
    margin-right: 5%;

  }
  .cuerpo-ppal ol {
    list-style: disc;
    font-size: 0.9em;
    margin-top: 0%;
    margin-left: 3%;
  }

  .cuerpo-ppal h2 {
    font-size: 1.6em;
  }

  .cuerpo-ppal li {
    margin-bottom: 0%;
  }

  .titulo-centrado {
    text-align: center;
    font-family: 'Arial Narrow', Arial, sans-serif;
    width: 100%;
    background-color: rgb(216, 234, 240);
    color: #272727;
    margin-bottom: 4%;
  }

  
  .sub-titul {
    margin-top: 1%;
    padding: 0;
    font-size: 1.5em;
 }

 .ancho95 {
    width: 95%;
 }

  /* ============ final de los estilos del diseño "nosotros" ================== */
  /*Todo lo que se inserte después de estos estilos deberá ir en un css aparte*/
  /*Lo que se altere por encima de este aviso no debe alterar al grupo de hojas "nosotros"*/

.formulario-reg {
	margin: auto;
	margin-top: 10px;
	padding: 10px 5px;
	text-align: center;
	max-width: 800px;
}

.form-opciones {
    width: 60%;
	display: flex;
	font-family: 'BebasNeue';
}

.opcion-class {
	width: 50%;
}

.tex-titulo h3 {
    font-size: 1.5em;
}

/*--------------------------------------------------------*/
.formulario-reg {
    margin-top: 10px;
    max-height: fit-content;
    height: 100vh;
    /* background-color: aquamarine; */
}

.tex-titulo {
	font-family: 'Dhurjati';
	background-color: rgb(53, 53, 53);
	color:#fff;
	margin: auto;
	border-radius: 5px 5px 5px 5px;
	width: 95%;
	margin-top: 0;
	margin-bottom: 0;
	cursor: pointer;
}

.text-cons {
	font-family: 'Dhurjati';
	font-size: 1.2em;
}

.form-register {
	width: 95%;
    height: fit-content;
	/* display: none;
	visibility: hidden; */
	margin: auto;
	background: rgb(255, 255, 255);
	color: black;
	border-color: #19abff;
    justify-items: center;

}

.verif-btn-btn {
    margin-top: 2%;
	height: 80px;
    width: 50%;
}

.form-register .verif-btn {

	padding: 5px 20px;
	height: 35px;
	vertical-align:middle;
	color: #19abff;
	border-radius: 6px;
	border: none;
	background-image:linear-gradient(rgb(0, 0, 0),rgb(90, 90, 90)) ;
	margin-top: 5px;
	width: 100%;

}

.icon-search {
	font-size: 0.6em;
}

.icon-window-close-o {
	font-size: 0.6em;
}

.opcion-class {
	width: 50%;
}

.card-prop {
	background-color: rgba(255, 255, 255, 0.178);
	/*border: 1px solid #19abff;*/
	margin: 7px;
}

.card-title {
	color: #19abff;
}

.consult2 {
	width: 80%;
}

.consult2 .cc {
    color: rgb(0, 0, 0);
	background: rgb(255, 255, 255);
    width: 100%;
    height: 35px;
    margin-top: 5px;
	border-style: none;
    background: #e9e9e9;
    padding-left: 2%;

}

.consult4 .tipo-Curso {
    margin-top: 2%;
    width: 80%;
    height: 35px;
    border-style: none;
	background: #e9e9e9;
}

.consult4 {
	width: 100%;
}

.regresar {
	padding: 5px 20px;
	height: 35px;
	vertical-align:middle;
	color: #19abff;
	border-radius: 6px;
	border: none;
	background-image:linear-gradient(rgb(0, 0, 0),rgb(90, 90, 90)) ;
	position: fixed;
	bottom: 20px;
	right: 30px;
	opacity: 0;
	transform: translateX(120px);
	transition: all 1s;
	z-index: 1;

}

.boton-visible {
	opacity: 1;
	transform: translateX(0);
}

@media (max-width: 500px) {
    .contenedor {
        margin-top: -35%;
        position: relative;
        justify-items: center;  /* Se utiliza cuand hay problemas de alineación */
        margin-bottom: 40%;
    }

    .form-opciones {
        width: 100%;
    }
  


}

/* ============= TEXTO CON IMAGEN ================== */
  
.tex-img {
  margin: 2% auto;
  width: 95%;
}

.tex-img img {
  max-width: 100%;
}

.flot-L {
  float: left;
  margin-right: 15px;
  margin-bottom: 15px;
}

.flot-R {
  float: right;
  margin-left: 15px;
  margin-bottom: 15px;
}

@media (max-width: 400px) {
  .tex-img img {
    width: 100%;
  }
}

/* ===================== Estilos de la Galería ================== */

.grid-item {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: aqua;
    border-radius: 4px;
    transition: transform 0.3s ease-in-out;
    border: solid 1px rgb(255, 255, 255);

}

.grid-item:hover {
    filter: opacity(0.9);
    transform: scale(1.04);
}

.grid-container {
    margin-top: 5%;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    grid-auto-rows: minmax(180px, auto);
    gap: 20px;
    padding: 20px;
    grid-auto-flow: dense;
}

.grid-container img {
    width: 100%;
    height: 100%;
    object-fit: cover;

}

.wide {
    grid-column: span 2;
}

.tall {
    grid-row: span 2;
}

.overlay {
    position: fixed;
    left: 0;
    top: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgb(0, 0, 0,0.5);
    z-index: 100;
    display: flex;
    /* justify-content: center; */
    justify-items: center;

    align-items: center;
    transition: all 0.7s ease;
    visibility: hidden;
    opacity: 0;
}

.overlay .slideshow {
    width: 95vw;
    height: 95vh;
    margin: auto;
    background-color: rgba(255, 255, 255, 0.8);
    color: black;
    display: flex;

}

.slideshow img {
    height: 100%;
    width: 100%;
    object-fit: contain;
}

.btn-cerrar {
    position: absolute;
    top: 1px;
    right: 1px;
    font-size: 1.5em;
    background-color: rgba(0, 0, 0, 0.7);
    color: #fff;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 5px;
    transition: all 0.7 ease;
}

.btn-cerrar:hover {
    transform: scale(1.2); 
    cursor: pointer;

}

.botones {
    width: 70px;
    height: 70px;
    border-radius: 50%;
    color: black;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 3em;
    position: absolute;
    top: 75%;
    /* transform: translateY(-25%); */
    cursor: pointer;
    color: coral;
}

.botones:hover {
    transform: scale(1.1);
    transition: all 0.2s ease;
}

.atras {
    left: 20px;
}

.adelante {
    right: 20px;
}

.ico {
    pointer-events: none;  /* The element does not react to pointer events*/
}

@media only screen and (max-width: 500px) {
    .grid-container {
        grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
        grid-auto-rows: minmax(80px, auto);
        gap: 10px;
        padding: 10px;
    }
}